import Taro from '@tarojs/taro'
import { BASE_DOMAIN, INVITE_API_DOMAIN, BASE_COMMON_DOMAIN } from './base'

function env(BASE_DOMAIN) {
  const envApi = Taro.getStorageSync('env')
  return BASE_DOMAIN[envApi || 'production']
}

export const ossSignatureUrl = `${env(BASE_DOMAIN)}/longvideoapi/oss/signature`

export const getWxUserInfoByCode = `${env(BASE_DOMAIN)}/longvideoapi/user/getWxUserInfoByCode`

export const getAbtestConfig = `${env(BASE_DOMAIN)}/longvideoapi/abtest/config`

export const getPositionInfo = `${env(INVITE_API_DOMAIN)}/ad/position/info`

export const generateMidv2 = `${env(BASE_COMMON_DOMAIN)}/commonapi/generateMid/v2`

export const getUserFrontConfig = `${env(BASE_DOMAIN)}/longvideoapi/frontConfig/getUserFrontConfig`

export const getSysConfig = `${env(BASE_DOMAIN)}/longvideoapi/sys/config`

export const videoListV2 = `${env(BASE_DOMAIN)}/longvideoapi/video/distribute/category/videoList/v2`

export const videoDetail = `${env(BASE_DOMAIN)}/longvideoapi/video/v2/detail`

export const recommendSharePageList = `${env(BASE_DOMAIN)}/longvideoapi/video/recommend/sharePage/list`

export const favoriteUrl = `${env(BASE_DOMAIN)}/longvideoapi/video/favorite`

export const unfavoriteUrl = `${env(BASE_DOMAIN)}/longvideoapi/video/unfavorite`

export const getUserInfoExt = `${env(BASE_DOMAIN)}/longvideoapi/user/info/getUserInfoExt`

export const getHomepageHead = `${env(BASE_DOMAIN)}/longvideoapi/user/info/homepageHead`

export const getFavoriteList = `${env(BASE_DOMAIN)}/longvideoapi/video/v2/favorite/list`

export const userInfoUpdateUrl = `${env(BASE_DOMAIN)}/longvideoapi/user/info/update`

export const reasonList = `${env(BASE_DOMAIN)}/longvideoapi/video/report/reason/list`

export const videoReport = `${env(BASE_DOMAIN)}/longvideoapi/video/report`

export const videoActionPreReportUrl = `${env(BASE_DOMAIN)}/longvideoapi/video/videoActionPreReport`

export const videoViewUrl = `${env(BASE_DOMAIN)}/longvideoapi/video/view`

export const playedUrl = `${env(BASE_DOMAIN)}/longvideoapi/video/played`

export const videoActionReportUrl = `${env(BASE_DOMAIN)}/longvideoapi/video/videoActionReport`

export const shareReportUrl = `${env(BASE_DOMAIN)}/longvideoapi/user/share/report`

export const weixinFriendUrl = `${env(BASE_DOMAIN)}/longvideoapi/video/shared/weixin/friend`

export const shareClickUrl = `${env(BASE_DOMAIN)}/longvideoapi/user/share/click`

export const uploadLogFromFrontendUrl = `${env(INVITE_API_DOMAIN)}/log-center/statistics/uploadLogFromFrontend`
